python-cliff (4.11.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/watch: update upstream reference.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/rules: delete demo __pycache__ folder
  * d/{watch,upstream/signing-key.asc}: setup upstream tarball signing
    key verification.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 14:01:36 -0700

python-cliff (4.9.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:32:52 +0000

python-cliff (4.8.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependency on six, no longer needed.
  * d/control: Drop BD on python3-mock as unittest.mock is now used.
  * d/control,copyright: Update upstream source and homepage locations.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 08:43:40 +0000

python-cliff (4.7.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:10:14 +0100

python-cliff (4.6.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:27:40 +0000

python-cliff (4.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 14:23:49 +0000

python-cliff (4.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:52:45 -0400

python-cliff (4.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 10:55:30 -0500

python-cliff (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:15:46 -0500

python-cliff (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:29:29 -0400

python-cliff (3.10.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:20:57 -0400

python-cliff (3.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 10:54:31 -0500

python-cliff (3.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Nov 2021 08:13:57 +0000

python-cliff (3.8.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:35:03 -0400

python-cliff (3.6.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 14:02:40 +0000

python-cliff (3.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:48:16 +0000

python-cliff (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:10:32 +0000

python-cliff (3.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 09:33:15 +0000

python-cliff (3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:26:36 -0400

python-cliff (2.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 Jan 2020 16:42:57 +0100

python-cliff (2.16.0-0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
      needed for Python 2 (LP: #1736717).
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 15:19:31 -0500

python-cliff (2.15.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:28:14 -0400

python-cliff (2.14.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:08:04 +0200

python-cliff (2.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run tests using PYTHONPATH to where the python module is installed.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 13:45:46 +0100

python-cliff (2.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:10:50 -0400

python-cliff (2.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Feb 2019 12:05:32 -0500

python-cliff (2.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Apply Ubuntu patch (Closes: #898732):
    - d/control, d/compat: Set debhelper>=10.
    - d/control: Enable autopkgtest-pkg-python tests.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
    needed for Python 2 (LP: #1736717).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Sep 2018 15:13:50 +0200

python-cliff (2.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Dropped. Fixed in
    new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 13:30:56 -0400

python-cliff (2.11.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Remain at debhelper>=10.
    - d/control: Enable autopkgtest-pkg-python tests.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
      needed for Python 2 (LP: #1736717).
    - d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
      from https://review.openstack.org/#/c/548626/ to fix AttributeError
      exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 May 2018 09:48:37 -0400

python-cliff (2.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 17:52:29 +0100

python-cliff (2.11.0-0ubuntu2) bionic; urgency=medium

  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
    from https://review.openstack.org/#/c/548626/ to fix AttributeError
    exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 17:04:53 -0500

python-cliff (2.11.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jan 2018 14:13:20 -0500

python-cliff (2.9.1-0ubuntu2) bionic; urgency=medium

  * d/control: Drop (Build-)Depends on python3-unicodecsv as its only
    needed for Python 2 (LP: #1736717).

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 13:11:11 +0000

python-cliff (2.9.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 10:31:22 -0500

python-cliff (2.8.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:36:43 +0000

python-cliff (2.8.0-2) experimental; urgency=medium

  * Add missing (build-)dep: python{3,}-docutils (Closes: #877129).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Oct 2017 18:57:32 +0000

python-cliff (2.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Removed patch: removes-argparse-from-requirements.txt.
  * Removed patch: fix python 3.5 unit tests.
  * Removed dh_installchangelogs overrides.

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Sep 2017 19:06:35 +0200

python-cliff (2.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/rules: Update history.rst path in override_dh_installchangelogs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 20:04:58 -0400

python-cliff (2.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control,rules: Switch to using ostestr for unit tests.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:20:54 +0100

python-cliff (2.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:12 +0100

python-cliff (2.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 11:01:34 -0500

python-cliff (2.3.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Nov 2016 09:13:37 -0500

python-cliff (2.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 09:54:28 -0400

python-cliff (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Remove arparse in requirements.txt patch.
  * Fixed (build-)depends for this release.
  * Removed Py 3.5 unit test patch.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 13:48:36 +0000

python-cliff (1.15.0-4) unstable; urgency=medium

  * Added missing python{3,}-setuptools build-depends (Closes: #820688).
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Apr 2016 22:23:44 +0000

python-cliff (1.15.0-3) unstable; urgency=medium

  * Removed argparse from requirements.txt (Closes: #810126).
  * Added patch to fix Python 3.5 unit tests (in fact, removing some broken
    tests).
  * Running unit tests for all available versions of Python.
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 10:30:41 +0000

python-cliff (1.15.0-2) unstable; urgency=medium

  * Added missing build-depends on python{3,}-yaml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2015 16:13:06 +0100

python-cliff (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Moved the package to PKG OpenStack as I lost write access to the DPMT.
  * Added build-depends openstack-pkg-tools.
  * Added export OSLO_PACKAGE_VERSION.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 23:12:13 +0000

python-cliff (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed skip-test.patch now useless.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 19:31:14 +0000

python-cliff (1.13.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Updated debian/copyright.

  [ Corey Bryant ]
  * New upstream release:
    - d/control: Align (Build-)Depends with upstream.
    - d/p/skip-tests.patch: Skip failing test.

  [ James Page ]
  * Update watch file to use Debian pypi redirector.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jul 2015 21:18:51 +0000

python-cliff (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed calls of nose.
  * Also testing with nose and python3.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2015 14:57:33 +0000

python-cliff (1.7.0-2) unstable; urgency=medium

  * debian/control: add versions python{,3}-six and python{,3}-
    prettytable Depends (Closes: #752741)

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 19:42:33 +0200

python-cliff (1.7.0-1) unstable; urgency=medium

  * New upstream version

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 18:06:55 +0200

python-cliff (1.6.1-1) unstable; urgency=medium

  * New upstream version
  * drop debian/patches/dont-install-distribute-for-tests.patch,
    upstream does not specify a dependency for distribute anymore

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 Jun 2014 20:32:49 +0200

python-cliff (1.5.2-1) unstable; urgency=low

  [ Thomas Goirand ]
  * (Build-)Depends on python-cmd2 at least 0.6.7. (Closes: #739717)

  [ Jan Dittberner ]
  * New upstream version
  * debian/control:
    - add python-coverage, pep8, python-pbr, python-six, python-stevedore,
      python3-coverage, python3-pep8, python3-pbr, python3-six,
      python3-stevedore to Build-Depends-Indep
    - bump Standards-Version to 3.9.5 (no changes)
  * debian/rules: clean pbr-*.egg that may get created when building on
    systems without python-pbr installed
  * add debian/patches/dont-install-distribute-for-tests.patch to avoid
    installation of distribute from PyPI

 -- Jan Dittberner <jandd@debian.org>  Sat, 22 Feb 2014 15:22:53 +0100

python-cliff (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Added myself as uploader.
  * Ran wrap-and-sort.
  * python-pyparsing build-depends is now >= 2.0.1.
  * Now build-depends on python-all (>= 2.6.6-3~) and python3, added python3
    support and the corresponding build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 08:20:05 +0000

python-cliff (1.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bumped to debhelper and compat 9.
  * Standard-Version bumped to 3.9.4.
  * Removed "-1" from python-pyparsing build-depends version.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Jun 2013 06:24:43 +0000

python-cliff (1.3.3-4) unstable; urgency=low

  * Added (>= 1.5.7+dfsg1-1) in the pyparsing build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jun 2013 15:44:31 +0000

python-cliff (1.3.3-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream version.
  * Added rm -rf cliff.egg-info in the clean target.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 14:10:27 +0000

python-cliff (1.3-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 22 Oct 2012 10:45:46 +0200

python-cliff (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #670837: ITP: python-cliff -- command line
    interface formulation framework)

 -- Jan Dittberner <jandd@debian.org>  Tue, 09 Oct 2012 20:47:34 +0200
